### Class

# Phosh CallsManager

since: 0

#### Description [src]

    final class Phosh.CallsManager : Phosh.Manager
      implements Gio.ListModel {
      /* No available fields */
    }

Track ongoing phone calls

`PhoshCallsManager` tracks on going calls on the org.gnome.Calls DBus interface and allows interaction with them by wrapping the `PhoshCallsDBusCallsCall` proxies in `PhoshCall` so all DBus and ObjectManager related logic stays local within `PhoshCallsManager`.

Available since: 0

#### Ancestors

- PhoshManager
- GObject

#### Implements

- GListModel

#### Constructors

###### phosh_calls_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_calls_manager_get_active_call_handle

No description available.

since: 0

###### phosh_calls_manager_get_call

No description available.

since: 0

###### phosh_calls_manager_get_incoming

No description available.

since: 0

###### phosh_calls_manager_get_present

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

unstable since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

unstable since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

unstable since: 2.44

###### g_list_model_get_object

Get the item at `position`.

unstable since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

unstable since: 2.44

#### Properties

###### Phosh.CallsManager:active-call

The currently active call.

since: 0

###### Phosh.CallsManager:present

Whether the call interface is present on the bus.

since: 0

#### Signals

###### Phosh.CallsManager::call-added

No description available.

since: 0

###### Phosh.CallsManager::call-removed

No description available.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

unstable since: 2.44

#### Class structure

    struct PhoshCallsManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`
  No description available.